/***********************
* Adobe Edge Animate Composition Actions
*
* Edit this file with caution, being careful to preserve 
* function signatures and comments starting with 'Edge' to maintain the 
* ability to interact with these actions from within Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // aliases for commonly used Edge classes

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 200, function(sym, e) {
         // insert code here
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_simpleButton}", "click", function(sym, e) {
         // insert code for mouse click here
         sym.getSymbol("simpleButton").play();
         
         // Play an audio track 
         sym.$("vo-mod02-sec01-sce02-16k-v1")[0].play();
         
         sym.play();
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 300, function(sym, e) {
         
         // DELETE SYMBOL
         // Delete an element that is an instance of a symbol
         // (getSymbol looks up the symbol object for a symbol instance element)
         sym.getSymbol("simpleButton").deleteSymbol();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_pause}", "click", function(sym, e) {
         // insert code for mouse click here
         // Pause an audio track 
         sym.$("vo-mod02-sec01-sce02-16k-v1")[0].pause();
         
         sym.stopAll();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_play}", "click", function(sym, e) {
         // insert code for mouse click here
         // Play an audio track 
         sym.$("vo-mod02-sec01-sce02-16k-v1")[0].play();
         
         sym.playAll();
         

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'simpleButton'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_hotspot}", "mouseenter", function(sym, e) {
         sym.stop( "enter" );

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot}", "mouseleave", function(sym, e) {
         sym.stop( "normal" );
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot}", "mouseup", function(sym, e) {
         sym.stop( "enter" );
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot}", "mousedown", function(sym, e) {
         sym.stop( "down" );
         

      });
      //Edge binding end

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         // Read title attribute and use it as label
         var title = sym.getSymbolElement().attr( "title" );
         sym.$( "label" ).html( title );

      });
      //Edge binding end

   })("simpleButton");
   //Edge symbol end:'simpleButton'

   //=========================================================
   
   //Edge symbol: 'group01'
   (function(symbolName) {   
   
   })("group01");
   //Edge symbol end:'group01'

})(jQuery, AdobeEdge, "EDGE-565288517");